ACN::SDT::Leader Class Reference

The Leader class. More...

`#include <leader.h>`

Inheritance diagram for ACN::SDT::Leader:
[legend]

## Public Member Functions

| Leader (UUID::uuid=UUID::uuid())
| Leader::Leader. More...
virtual void | SdtReceiver (PDU::Message< RLP::Pdu >)
| Leader::SdtReceiver. More...
virtual void | SdtJoinSession ()
| Leader::SdtJoinSession.
virtual void | SdtGetSessions ()
| Leader::SdtGetSessions.
virtual void | SdtSessions ()
| Leader::SdtSessions.
Public Member Functions inherited from ACN::RLP::Component
| Component (UUID::uuid=UUID::uuid())
| Component::Component. More...
virtual void | UdpPayloadReceiver (PDU::Stream)
| Component::UdpPayloadReceiver. More...
virtual void | TcpPacketReceiver (PDU::Stream)
| Component::TcpPacketReceiver. More...
Public Member Functions inherited from ACN::Component
| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...

## Additional Inherited Members

Protected Member Functions inherited from ACN::RLP::Component
void | RlpReceiver (PDU::Message< RLP::Pdu >)
| Component::RlpReceiver. More...
void | RlpRegisterVector (uint32_t, PDU::Handler< RLP::Pdu >)
| Component::RlpRegisterVectorHandler. More...
Protected Attributes inherited from ACN::Component
std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...

## Detailed Description

The Leader class.

## Constructor & Destructor Documentation

## Leader()

ACN::SDT::Leader::Leader | ( | UUID::uuid | cid = `UUID::uuid()` | ) |

Leader::Leader.

Parameters

  cid |

1.3.1. Recursive use of PDU Format in Other Protocols ... within ACN as currently specified, there is just one higher layer protocol defined which interfaces directly to the root layer: Session Data Transport

Here is the call graph for this function:

## Member Function Documentation

## SdtReceiver()

void ACN::SDT::Leader::SdtReceiver | ( | PDU::Message< RLP::Pdu > | root | ) |

virtual

Leader::SdtReceiver.

Parameters

  root |

TODO: handle SDT

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/leader.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/leader.cpp